<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreateRolTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateRolLabel_rolId}" for="rolId" />
                    <h:inputText id="rolId" value="#{rolController.selected.rolId}" title="#{bundle.CreateRolTitle_rolId}" required="true" requiredMessage="#{bundle.CreateRolRequiredMessage_rolId}"/>
                    <h:outputLabel value="#{bundle.CreateRolLabel_rolNombre}" for="rolNombre" />
                    <h:inputText id="rolNombre" value="#{rolController.selected.rolNombre}" title="#{bundle.CreateRolTitle_rolNombre}" />
                </h:panelGrid>
                <br />
                <h:commandLink action="#{rolController.create}" value="#{bundle.CreateRolSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{rolController.prepareList}" value="#{bundle.CreateRolShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreateRolIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
